Bug 829324 - Error on boot: "Could not create ICE listening socket: Cannot establish any listening sockets"
Error on boot: "Could not create ICE listening socket: Cannot establish any l...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libICE (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 09:15 EDT by Dave Allan
Modified: 2016-04-26 17:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 06:39:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (537.19 KB, image/jpeg)
2012-06-06 09:16 EDT, Dave Allan
no flags Details
additional debug info, logs, etc (139.79 KB, application/x-compressed-tar)
2012-06-06 09:29 EDT, Dave Allan
no flags Details

  None (edit)
Description Dave Allan 2012-06-06 09:15:22 EDT
Description of problem:
Occasionally when I boot my laptop I get an error message about the time X is starting up:

"Could not create ICE listening socket: Cannot establish any listening sockets"  

With a "Log Out" button.  (picture of screen attached)

It appears to be harmless, as clicking "Log Out" seems to cause X to restart, and after one or two tries the error goes away and all is apparently well.

Version-Release number of selected component (if applicable):
libICE-1.0.8-1.fc17.x86_64
xorg-x11-server-Xorg-1.12.0-5.fc17.x86_64

How reproducible:
occasionally (two or three times since I installed the system a week ago)


Additional info:

This error seems to have been seen on older Fedora releases and reported as BZ 744965.
Comment 1 Dave Allan 2012-06-06 09:16:24 EDT
Created attachment 589883 [details]
screenshot
Comment 2 Dave Allan 2012-06-06 09:29:03 EDT
Created attachment 589887 [details]
additional debug info, logs, etc
Comment 3 cornel panceac 2012-08-26 16:03:22 EDT
this still can be reproduced in f17 + latest updates. it does happen maybe once at every few logins.
Comment 4 Bhaskar Ghosh 2013-01-07 09:46:25 EST
My Fedora 17 i686 XFCE spin has started showing this problem from today. It was working flawlessley for the past couple of months.
Even after repeated tries, I am unable to login through the graphical login screen. 
I even cleared the sockets created under /tmp/.X11-unix /tmp/.ICE-unix and /tmp-.X0-lock, but the problem remains.
Comment 5 Bhaskar Ghosh 2013-01-15 09:30:54 EST
This is consistently reproducible everytime on my home pc. Are there any workarounds available? Please let me know if some logs and dumps from my machine may be helpful.
Comment 6 codeslayer2010 2013-01-30 12:36:26 EST
This info about my experience today may prove useful to the community.

I can't SSH on Fedora 17 and have been troubleshooting the issue.  One of the steps I performed was to edit the /etc/ssh/sshd_config file.  I uncommented "# Port 22".  After reboot I received the error:

"Could not create ICE listening socket: Cannot establish any listening sockets"

I'm a newbie as a linux admin, so I can provide more info if requested.  What I know about my sysem is:

Fedora 17 (fresh install)
OpenSSH daemon is installed and running
GPU: Nvida (Linus says Nvidia support is lacking: http://linux.slashdot.org/story/12/06/17/1415250/torvalds-slams-nvidias-linux-support)

If I can help with any other info please let me know.
Comment 7 Fedora End Of Life 2013-07-03 23:17:02 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 06:40:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.